<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="#{xcpdInitManager.extractIDFromInitialisation()}"/>
    <ui:define name="head">
        <h:outputStylesheet library="stylesheet" name="resultStyle.css"/>
    </ui:define>
    <ui:define name="body">
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>

            #{xcpdInitManager.init()}
            <s:div id="globalDiv">
                <h1>#{xcpdInitManager.getTheNameOfThePage()}</h1>
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{xcpdInitManager.getTheNameOfThePage()}</f:facet>
                    <s:div
                            rendered="#{(xcpdInitManager.selectedAffinityDomain != null) and (xcpdInitManager.selectedTransaction != null) and !xcpdInitManager.selectedTransaction.keyword.equals('ITI-56')}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolAllowsToSimulateTheTransaction']} #{xcpdInitManager.selectedTransaction.keyword}."/>
                        <br/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveToSelectTheResponderConfigur']}"/>
                    </s:div>
                    <s:div
                            rendered="#{(xcpdInitManager.selectedAffinityDomain != null) and (xcpdInitManager.selectedTransaction != null) and xcpdInitManager.selectedTransaction.keyword.equals('ITI-56')}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolAllowsToSimulateTheTransactionPatientLoc']}"/>
                        <br/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveToSelectTheResponderConfigur_2']} "/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThenYouHaveToExecuteTheRequestUsingTheButtonexec']}"/>
                    </s:div>
                    <s:div id="configurationDiv">
                        <ui:include src="/simu/header.xhtml">
                            <ui:param name="divToRerender"
                                      value="messageConfigurationDiv,messagesDiv,actionButtons"/>
                            <ui:param name="simuManager" value="#{xcpdInitManager}"/>
                            <ui:param name="diagramFile" value="/img/XCPD.gif"/>
                            <ui:param name="sourceID" value="#{xcpdInitManager.getSourceOid()}"/>
                            <ui:param name="homeCommunityID" value="#{xcpdInitManager.gethomeCommunityId()}"/>
                            <ui:param name="simulatorConfigurationName"
                                      value="#{messages['net.ihe.gazelle.xdstar.INITGatewaySimulator']}"/>
                            <ui:param name="displaySourceId" value="#{false}"/>
                            <ui:param name="displayhomeCommunityId" value="#{true}"/>
                        </ui:include>
                        <s:div id="messageConfigurationDiv">
                            <s:div id="messageConfigurationDivR"
                                   rendered="#{(xcpdInitManager.selectedConfiguration != null) and (xcpdInitManager.selectedTransaction != null)}">
                                <gri:panel>
                                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.Request']}</f:facet>
                                    <s:div rendered="#{xcpdInitManager.selectedAffinityDomain.keyword.equals('epSOS')}">
                                        <f:subview id="subview_1">
                                            <ui:include src="/tools/parameters.xhtml"/>
                                        </f:subview>
                                        <!-- XUA -->
                                        <f:subview id="subview_2">
                                            <ui:include src="/simu/xua_with_trc.xhtml">
                                                <ui:param name="simuManager" value="#{xcpdInitManager}"/>
                                            </ui:include>
                                        </f:subview>
                                    </s:div>
                                    <s:div rendered="#{xcpdInitManager.selectedTransaction.keyword.equals('ITI-55')}">
                                        <f:subview id="subview_3">
                                            <ui:include src="/tools/parametersIHE.xhtml">
                                                <ui:param name="requestGenerator"
                                                          value="#{xcpdInitManager.requestGenerator}"/>
                                            </ui:include>
                                        </f:subview>
                                    </s:div>
                                    <s:div rendered="#{xcpdInitManager.selectedTransaction.keyword.equals('ITI-56')}">
                                        <f:subview id="subview_4">
                                            <ui:include src="/tools/parametersPLQ.xhtml">
                                                <ui:param name="plqGenerator" value="#{xcpdInitManager.plqGenerator}"/>
                                            </ui:include>
                                        </f:subview>
                                    </s:div>
                                    <s:div id="buttondiv">
                                        <h:commandLink
                                                value="#{messages['net.ihe.gazelle.xdstar.ValidateUsingEVSClient']}"
                                                rendered="#{xcpdInitManager.useRequestGenerator == false}"
                                                action="#{messageReportManager.validateWithEVSClient(xcpdInitManager.requestV3)}"
                                                target="_blank"/>
                                    </s:div>
                                </gri:panel>
                                <br/>
                            </s:div>
                        </s:div>
                    </s:div>
                    <!-- send button -->
                    <s:div id="actionButtons">
                        <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                           oncomplete="jq162('#previewMessagePanel').modal('show');"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           rendered="#{xcpdInitManager.selectedConfiguration != null}"
                                           render="previewMessagePanel"/>
                        <a4j:commandButton id="sendButton" actionListener="#{xcpdInitManager.sendMessage()}"
                                           styleClass="gzl-btn-green"
                                           value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
                                           rendered="#{xcpdInitManager.selectedConfiguration != null}"
                                           render="messagesDiv"/>
                        <!-- reset button -->
                        <a4j:commandButton id="resetButton" actionListener="#{xcpdInitManager.reset()}"
                                           styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Reset']}" render="globalDiv"/>
                    </s:div>
                </gri:panel>
                <!--  response div -->
                <s:div id="messagesDiv">
                    <gri:panel id="messagesPanel" rendered="#{xcpdInitManager.displayResultPanel == true}">
                        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
                        #{allMessageManagerBean.listMessagesToDisplay()}
                        <f:subview id="subview_5">
                            <ui:include id="messageTable" src="/messages/messageTable.xhtml">
                                <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
                            </ui:include>
                        </f:subview>
                    </gri:panel>
                </s:div>
            </s:div>
        </h:form>
        <gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#previewMessagePanel').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <h:form>
                <s:div id="previewMessagePanelDiv" rendered="#{xcpdInitManager.selectedConfiguration != null}"
                       style="overflow: auto; width: 880px; height: 470px;">
                    <gdk:insert id="highlightcontent" content="#{xcpdInitManager.previewMessage()}" highlight="xml"/>
                </s:div>
            </h:form>
        </gri:popupPanel>
        <!-- detail Result Modal -->
        <gri:popupPanel id="detailResultModal" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.DetailedResult']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#detailResultModal').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <s:decorate id="driddec">
                <div style="overflow: auto; width: 880px; height: 560px;">
                    <ui:include src="detailedResult.xhtml">
                        <ui:param name="manager" value="#{xcpdInitManager}"/>
                    </ui:include>
                </div>
            </s:decorate>
        </gri:popupPanel>
    </ui:define>
</ui:composition>
